import { Audit } from '@ray-js/audit-rate-utils';
export declare const getColorWithScore: (level: "A" | "B" | "C") => string;
interface CategoryTask {
    key: string;
    passedTitle?: string;
    failedTitle?: string;
    title?: string;
    desc: string;
    headings: {
        key: string;
        text: string;
    }[];
    details: any[];
}
export interface CategoryMap {
    performance: {
        score: number;
        level: string;
        passedTasks: CategoryTask[];
        failedTasks: CategoryTask[];
        uncheckedTasks: CategoryTask[];
    };
    experience: {
        score: number;
        level: string;
        passedTasks: CategoryTask[];
        failedTasks: CategoryTask[];
        uncheckedTasks: CategoryTask[];
    };
    'best-practice': {
        score: number;
        level: string;
        passedTasks: CategoryTask[];
        failedTasks: CategoryTask[];
        uncheckedTasks: CategoryTask[];
    };
}
export declare const calcCategorieMap: (categories: Audit["categories"], tasks: Audit["tasks"]) => CategoryMap;
export {};
